import javax.management.ObjectName;
import javax.management.Query;
import fr.ippon.groovy.util.WebLoMBean;

def mbs = WebLoMBean.getDomainMBeanServer('t3://localhost:7001', 'weblogic', 'weblogic')

def destFilter = javax.management.Query.with {
	match(attr('Name'),value('*@MyFirstDistributedQueue'))
}

def destinationMBeanNames = mbs.queryNames(new ObjectName('com.bea:Type=JMSDestinationRuntime,*'), destFilter)
def destinationMbeans = destinationMBeanNames.collect { new GroovyMBean(mbs, it) }

destinationMbeans.each { mbean ->

	def isPaused = mbean.ConsumptionPaused
	def jmsServer = mbean.name().getKeyProperty('JMSServerRuntime')

	if(isPaused) {
		println "The consumption is paused on server $jmsServer, re-enabling it ..."
		mbean.resumeConsumption()
		
	} else {
		println "Pausing comsumption on $jmsServer ..."
		mbean.pauseConsumption()
	}
}
